> ## Documentation Index
> Fetch the complete documentation index at: https://ubicloud-00f14c0d-dependabot-github-actions-actions-checkou-0.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# List versions of a machine image



## OpenAPI

````yaml /api-reference/openapi.yml get /project/{project_id}/location/{location}/machine-image/{machine_image_reference}/version
openapi: 3.0.3
info:
  description: API for managing resources on Ubicloud
  title: Clover API
  version: 0.1.0
  contact:
    url: https://www.ubicloud.com/
    email: support@ubicloud.com
  license:
    name: GNU Affero General Public License v3.0 (AGPL-3.0)
    url: https://www.gnu.org/licenses/agpl-3.0.en.html
servers:
  - url: https://api.ubicloud.com
security:
  - BearerAuth: []
tags:
  - description: Firewall Operations
    name: Firewall
  - description: Firewall Rule Operations
    name: Firewall Rule
  - description: Inference API Key Operations
    name: Inference Api Key
  - description: Inference Endpoint Operations
    name: Inference Endpoint
  - description: Load Balancer Operations
    name: Load Balancer
  - description: Login Operations
    name: Login
  - description: Machine Image Operations
    name: Machine Image
  - description: Postgres Database Operations
    name: Postgres Database
  - description: Postgres Firewall Rule Operations
    name: Postgres Firewall Rule
  - description: Postgres Metric Destination
    name: Postgres Metric Destination
  - description: Postgres Log Destination
    name: Postgres Log Destination
  - description: Private Subnet Operations
    name: Private Subnet
  - description: Project Operations
    name: Project
  - description: Virtual Machine Operations
    name: Virtual Machine
  - description: Private Location Operations
    name: Private Location
  - description: Kubernetes Cluster Operations
    name: Kubernetes Cluster
  - description: SSH Public Key Operations
    name: SSH Public Key
  - description: GitHub Operations
    name: GitHub
  - description: Audit Log Operations
    name: Audit Log
paths:
  /project/{project_id}/location/{location}/machine-image/{machine_image_reference}/version:
    parameters:
      - $ref: '#/components/parameters/project_id'
      - $ref: '#/components/parameters/location'
      - $ref: '#/components/parameters/machine_image_reference'
    get:
      tags:
        - Machine Image
      summary: List versions of a machine image
      operationId: listMachineImageVersions
      responses:
        '200':
          $ref: '#/components/responses/MachineImageVersions'
        default:
          $ref: '#/components/responses/Error'
components:
  parameters:
    project_id:
      description: ID of the project
      in: path
      name: project_id
      required: true
      schema:
        type: string
        example: pjkkmx0f2vke4h36nk9cm8v8q0
        pattern: ^pj[0-9a-hj-km-np-tv-z]{24}$
    location:
      description: The Ubicloud location/region
      in: path
      name: location
      required: true
      schema:
        type: string
        example: eu-central-h1
    machine_image_reference:
      description: Machine Image ID or name
      examples:
        id:
          value: m1n30gjk1d1e2jj34v9x0dq4rp
        name:
          value: my-image
      in: path
      name: machine_image_reference
      required: true
      schema:
        $ref: '#/components/schemas/Reference'
  responses:
    MachineImageVersions:
      description: A list of machine image versions
      content:
        application/json:
          schema:
            type: object
            properties:
              count:
                type: integer
              items:
                type: array
                items:
                  $ref: '#/components/schemas/MachineImageVersion'
            additionalProperties: false
            required:
              - count
              - items
    Error:
      description: An error response
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
  schemas:
    Reference:
      description: Resource ID or name
      type: string
      pattern: ^[a-z0-9](?:[a-z0-9\-]{0,61}[a-z0-9])?$
    MachineImageVersion:
      type: object
      properties:
        id:
          description: ID of the machine image version
          type: string
          example: mvn30gjk1d1e2jj34v9x0dq4rp
        version:
          description: Version label
          type: string
          example: v1.0
        state:
          description: Lifecycle state, or null if no metal record exists
          type: string
          enum:
            - creating
            - ready
            - destroying
            - failed
          nullable: true
        actual_size_mib:
          description: Actual size of the image in MiB
          type: integer
          nullable: true
        archive_size_mib:
          description: Size of the archived image in MiB
          type: integer
          nullable: true
        created_at:
          description: Creation timestamp
          type: string
          format: date-time
        latest:
          description: >-
            True if this is the machine image's currently-published latest
            version
          type: boolean
      additionalProperties: false
      required:
        - id
        - version
        - state
        - created_at
        - latest
      x-go-name: MachineImageVersionSchema
    Error:
      type: object
      properties:
        error:
          type: object
          additionalProperties: false
          properties:
            code:
              type: integer
              example: 401
            message:
              type: string
              example: There was an error logging in
            type:
              type: string
              example: InvalidCredentials
            details:
              type: object
              nullable: true
          required:
            - code
            - message
            - type
      additionalProperties: false
      required:
        - error
  securitySchemes:
    BearerAuth:
      bearerFormat: JWT
      scheme: bearer
      type: http

````